using UnityEngine;

namespace RedHotRoast
{
    public class NetworkManager : BaseUnityManager<NetworkManager>
    {
#if GAME_RELEASE
        public static string crazyUrl => true ? DomainReleaseUrl : DomainDebugUrl;
#else
        public static string crazyUrl => false ? DomainReleaseUrl : DomainDebugUrl;
#endif
        public const string DomainRelease = "frozenarena.top";
        //is debug test--------
        public const string DomainDebugUrl = @"https://swhitegames.top/api/";
        public static readonly string DomainReleaseUrl = $"https://{DomainRelease}/api/";



        public const string identifier = "com.dreamyfoxgame.legend";//没用到
        private LoginSystem loginSystem;
        private ConfigSystem configSystem;
        private PlayDataSystem playDataSystem;
        public static bool haveSimCard = false;

        public override void Init()
        {
            InitSystem();
        }

        private void InitSystem()
        {
            loginSystem = new LoginSystem();
            configSystem = new ConfigSystem();
            playDataSystem = new PlayDataSystem();
        }

    }
}